<div fxLayout="row wrap">
  <div fxFlex></div>
  <div fxFlex="nogrow">
    <button color="primary" [matMenuTriggerFor]="menu" mat-mini-fab>
      <mat-icon>add</mat-icon>
    </button>
    <mat-menu #menu="matMenu">
      <ng-container *ngFor="let component of availableNewComponents">
        <button
          mat-menu-item
          dbeComponentLoader
          [component]="component"
          (onSave)="save($event)"
        >
          {{ component.label ? component.label : component.type }}
        </button>
      </ng-container>
    </mat-menu>
  </div>
  <div fxFlex="100" class="mt">
    <dbe-dragger
      *ngIf="partials.length"
      [items]="partials"
      (dragged)="dragged($event)"
      [enableRemove]="true"
      (remove)="delete($event)"
    >
      <ng-template let-item>
        <div fxLayout="row wrap">
          <div fxFlex>
            <ng-container>
              <b>{{ item.name || '-' }}</b>
            </ng-container>
          </div>
          <div fxFlex="nogrow" *ngIf="item && item._id">
            <button
              mat-mini-fab
              color="primary"
              dbeComponentLoader
              (onSave)="save($event)"
              [component]="getPartial(item._id)"
            >
              <mat-icon>edit</mat-icon>
            </button>
          </div>
        </div>
      </ng-template>
    </dbe-dragger>
    <p *ngIf="!partials.length"><b>Nessun partial inserito.</b></p>
  </div>
</div>
